Bug 250211 - smp kernel hangs with GPF when heavy net use
smp kernel hangs with GPF when heavy net use
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-30 22:18 EDT by Raymond Hall
Modified: 2008-05-06 15:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:43:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console log from boot up to kernel panic (23.52 KB, text/plain)
2007-07-30 22:18 EDT, Raymond Hall
no flags Details

  None (edit)
Description Raymond Hall 2007-07-30 22:18:46 EDT
Description of problem:

linux 2.6.20 hangs with net use

Version-Release number of selected component (if applicable):

kernel-2.6.20-1.2692.fc6

How reproducible:

SMP Machine, high network traffic (NFS) + interrupts from video or soundcard

Steps to Reproduce:
1.mount an NFS share
2.play a MP3
3.copy a large file from NFS to local disk
  
Actual results:

Kernel hangs with GPF (BUG: unable to handle kernel NULL pointer dereference at
virtual address 00000001)

See atachment for console log, a brief machine description: 
MB: MSI 865Pe/Neo intel chipset
CPU: P4 2.8 GHz w/Ht (SMP)
RAM: 2GB DDR 400MHz (thoroughly memtested)
HD: 2 120 GB SATA mounted as Raid 0 (/dev/md)
Video: ATI Radeon 9200 PRO (using normal *not tainted* drivers)
I also have a separate soundcard (the intel in the MB and a pci ice1712) and a
ieee 1394 card. 


Expected results:

Patch please! :)

Additional info:

feel free to ask any extra info by mail to kova70 at gmail dot com
Comment 1 Raymond Hall 2007-07-30 22:18:47 EDT
Created attachment 160289 [details]
console log from boot up to kernel panic
Comment 2 Raymond Hall 2007-08-09 03:02:14 EDT
UPDATE:

After booting the machine to a Win XP partition and finding out that it doesn't
crash there, I wanted to check if it was linux in general or Fedora's kernel in
particular which is causing the hang. I booted an ubuntu 7.04 LiveDVD (kernel
2.6.15) and I couldn't trigger the bug. So I copied ubuntu's kernel, modules and
initrd to my fedora partition. The machine has been 3 days up with no crashes
running the exact same installation, only on top of the ubuntu kernel instead of
fedora's. help please!! I've been a Red Hat user since Picasso and I would
really hate it if I have to swith distros for an unresolved kernel bug!!!
Comment 3 Chuck Ebbert 2007-08-09 12:02:23 EDT
Kernel 2.6.22.1-32.fc6 has been released and may fix this bug. Please try that.
Comment 4 Chuck Ebbert 2007-08-09 12:55:54 EDT
Apparently the kernel hit a doublefault and then faulted again in the handler,
destroying all traces of the original fault. If it happens in 2.6.22.1 I have a
fix for the handler fault so we can see the original one.
Comment 5 Raymond Hall 2007-08-10 09:50:48 EDT
Whoa! 18 hrs uptime so far without crash!
I've tried to do the things that trigger the bug without success... so it seems
that this kernel version actually fixed the bug. I'd like to wait for at least a
full 24 hrs uptime with heavy net use to change status to FIXED in CURRENT_RELEASE
Comment 6 Bug Zapper 2008-04-04 03:29:24 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 15:43:23 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.